Skip to main content
POST
/
api
/
rf
/
flows
Create an HHD flow
curl --request POST \
  --url https://clarus-api.com/api/rf/flows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "rf_flows",
    "attributes": {
      "code": "PICK_STANDARD",
      "name": "Standard Pick Flow",
      "flow_type": "standard",
      "implementation_id": 1,
      "is_default": false,
      "definition": {
        "steps": []
      }
    }
  }
}
'
{
  "data": {
    "id": 123,
    "type": "rf_flows",
    "attributes": {
      "code": "PICK_STANDARD",
      "name": "Standard Pick Flow",
      "flow_type": "standard",
      "implementation_id": 1,
      "is_default": false,
      "definition": {
        "steps": []
      }
    }
  }
}

Request Structure

{
  "data": {
    "type": "rf_flows",
    "attributes": {
      "code": "PICK_STANDARD",
      "name": "Standard Pick Flow",
      "flow_type": "standard",
      "implementation_id": 1,
      "is_default": false,
      "definition": { "steps": [] }
    }
  }
}

Key Fields

FieldRequiredDescription
codeYesUnique code within the implementation (immutable after creation)
nameYesDisplay name
flow_typeYesstandard, task, or loading
implementation_idYesThe HHD implementation this flow belongs to
is_defaultNoWhether this is the default flow for the implementation
definitionNoJSON definition of the flow steps
HHD flows use the JSON:API type rf_flows and live under the /api/rf/flows path (known internally as RF flows).

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

HHD flow created successfully

data
object